package com.fusi24.entryPermitScanner.data.entity;

import android.os.Parcel;
import android.os.Parcelable;

public class DataCompany implements Parcelable {

    private Integer id;
    private String code;
    private String name;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }


    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeValue(this.id);
        dest.writeString(this.code);
        dest.writeString(this.name);
    }

    public DataCompany() {
    }

    protected DataCompany(Parcel in) {
        this.id = (Integer) in.readValue(Integer.class.getClassLoader());
        this.code = in.readString();
        this.name = in.readString();
    }

    public static final Parcelable.Creator<DataCompany> CREATOR = new Parcelable.Creator<DataCompany>() {
        @Override
        public DataCompany createFromParcel(Parcel source) {
            return new DataCompany(source);
        }

        @Override
        public DataCompany[] newArray(int size) {
            return new DataCompany[size];
        }
    };
}
