package com.fusi24.entryPermitScanner.data.entity;

import android.os.Parcel;
import android.os.Parcelable;

public class DataEmployee implements Parcelable {

    private Integer id;
    private String code;
    private String sidCode;
    private String name;
    private String urlPhoto;
    private DataCompany company;
    private DataStructuralPosition structuralPosition;
    private DataFunctionalPosition functionalPosition;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getSidCode() {
        return sidCode;
    }

    public void setSidCode(String sidCode) {
        this.sidCode = sidCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUrlPhoto() {
        return urlPhoto;
    }

    public void setUrlPhoto(String urlPhoto) {
        this.urlPhoto = urlPhoto;
    }

    public DataCompany getCompany() {
        return company;
    }

    public void setCompany(DataCompany company) {
        this.company = company;
    }

    public DataStructuralPosition getStructuralPosition() {
        return structuralPosition;
    }

    public void setStructuralPosition(DataStructuralPosition structuralPosition) {
        this.structuralPosition = structuralPosition;
    }

    public DataFunctionalPosition getFunctionalPosition() {
        return functionalPosition;
    }

    public void setFunctionalPosition(DataFunctionalPosition functionalPosition) {
        this.functionalPosition = functionalPosition;
    }


    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeValue(this.id);
        dest.writeString(this.code);
        dest.writeString(this.sidCode);
        dest.writeString(this.name);
        dest.writeString(this.urlPhoto);
        dest.writeParcelable(this.company, flags);
        dest.writeParcelable(this.structuralPosition, flags);
        dest.writeParcelable(this.functionalPosition, flags);
    }

    public DataEmployee() {
    }

    protected DataEmployee(Parcel in) {
        this.id = (Integer) in.readValue(Integer.class.getClassLoader());
        this.code = in.readString();
        this.sidCode = in.readString();
        this.name = in.readString();
        this.urlPhoto = in.readString();
        this.company = in.readParcelable(DataCompany.class.getClassLoader());
        this.structuralPosition = in.readParcelable(DataStructuralPosition.class.getClassLoader());
        this.functionalPosition = in.readParcelable(DataFunctionalPosition.class.getClassLoader());
    }

    public static final Parcelable.Creator<DataEmployee> CREATOR = new Parcelable.Creator<DataEmployee>() {
        @Override
        public DataEmployee createFromParcel(Parcel source) {
            return new DataEmployee(source);
        }

        @Override
        public DataEmployee[] newArray(int size) {
            return new DataEmployee[size];
        }
    };
}
