package com.fusi24.entryPermitScanner.data.entity.workingpermit;

import android.os.Parcel;
import android.os.Parcelable;

import com.fusi24.entryPermitScanner.data.entity.DataEmployee;

import java.util.List;

public class DataWorkingPermit implements Parcelable {

    private Boolean passed;
    private String alertType;
    private String message;
    private DataEmployee employee;
    private List<DataResultPermit> results;

    public Boolean getPassed() {
        return passed;
    }

    public void setPassed(Boolean passed) {
        this.passed = passed;
    }

    public String getAlertType() {
        return alertType;
    }

    public void setAlertType(String alertType) {
        this.alertType = alertType;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public DataEmployee getEmployee() {
        return employee;
    }

    public void setEmployee(DataEmployee employee) {
        this.employee = employee;
    }

    public List<DataResultPermit> getResults() {
        return results;
    }

    public void setResults(List<DataResultPermit> results) {
        this.results = results;
    }

    public DataWorkingPermit() {
    }


    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeValue(this.passed);
        dest.writeString(this.alertType);
        dest.writeString(this.message);
        dest.writeParcelable(this.employee, flags);
        dest.writeTypedList(this.results);
    }

    protected DataWorkingPermit(Parcel in) {
        this.passed = (Boolean) in.readValue(Boolean.class.getClassLoader());
        this.alertType = in.readString();
        this.message = in.readString();
        this.employee = in.readParcelable(DataEmployee.class.getClassLoader());
        this.results = in.createTypedArrayList(DataResultPermit.CREATOR);
    }

    public static final Creator<DataWorkingPermit> CREATOR = new Creator<DataWorkingPermit>() {
        @Override
        public DataWorkingPermit createFromParcel(Parcel source) {
            return new DataWorkingPermit(source);
        }

        @Override
        public DataWorkingPermit[] newArray(int size) {
            return new DataWorkingPermit[size];
        }
    };
}
