package com.fusi24.entryPermitScanner.data.entity.workingpermit;

import android.os.Parcel;
import android.os.Parcelable;

public class DataWorkingType implements Parcelable {

    private Integer id;
    private String name;
    private String description;
    private Boolean isActive;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Boolean getActive() {
        return isActive;
    }

    public void setActive(Boolean active) {
        isActive = active;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeValue(this.id);
        dest.writeString(this.name);
        dest.writeString(this.description);
        dest.writeValue(this.isActive);
    }

    public DataWorkingType() {
    }

    protected DataWorkingType(Parcel in) {
        this.id = (Integer) in.readValue(Integer.class.getClassLoader());
        this.name = in.readString();
        this.description = in.readString();
        this.isActive = (Boolean) in.readValue(Boolean.class.getClassLoader());
    }

    public static final Parcelable.Creator<DataWorkingType> CREATOR = new Parcelable.Creator<DataWorkingType>() {
        @Override
        public DataWorkingType createFromParcel(Parcel source) {
            return new DataWorkingType(source);
        }

        @Override
        public DataWorkingType[] newArray(int size) {
            return new DataWorkingType[size];
        }
    };
}
