Entry Permit Scanner
=====================

HSE Automation Gunreader RFID Scanner Android Application for PT. Berau Coal's Project.

## Getting Start

The security guard will scan the identity card, and the app will read the ID number which later to get information the employee is allowed to enter the office or not.  
Build with Java Languange  
You can open this project with Android Studio

## Prerequisites

What things you need to install the software and install them :

* Java 8
* Gradle

## Installing

Create first folder repo, then clone project

```sh
$ cd Workspace/android/
$ git clone http://repo.fusi24.com:3000/ilhamitubagoes/rfid_gun.git
```

## Built With

* Android Support libraries
* [Retrofit 2](http://square.github.io/retrofit/) - For Networking
* [RxJava](https://github.com/ReactiveX/RxJava) and [RxAndroid](https://github.com/ReactiveX/RxAndroid) - Better coding
* [Butterknife](https://github.com/JakeWharton/butterknife) - Used to View Injection
* [Timber](https://github.com/JakeWharton/timber) - For better logging
* [Glide](https://github.com/bumptech/glide) - Image Processing

## Authors

* [Medisa Aris](http://repo.fusi24.com:3000/medisa.aris)
* [Ilham Bagoes](http://repo.fusi24.com:3000/ilhamitubagoes)

