package com.fusi24.entryPermitScanner.data.entity;

import android.os.Parcel;
import android.os.Parcelable;

public class DataFunctionalPosition implements Parcelable {

    private Integer id;
    private String name;
    private String description;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }


    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeValue(this.id);
        dest.writeString(this.name);
        dest.writeString(this.description);
    }

    public DataFunctionalPosition() {
    }

    protected DataFunctionalPosition(Parcel in) {
        this.id = (Integer) in.readValue(Integer.class.getClassLoader());
        this.name = in.readString();
        this.description = in.readString();
    }

    public static final Parcelable.Creator<DataFunctionalPosition> CREATOR = new Parcelable.Creator<DataFunctionalPosition>() {
        @Override
        public DataFunctionalPosition createFromParcel(Parcel source) {
            return new DataFunctionalPosition(source);
        }

        @Override
        public DataFunctionalPosition[] newArray(int size) {
            return new DataFunctionalPosition[size];
        }
    };
}
