package com.fusi24.entryPermitScanner.data.entity.workingpermit;

import android.os.Parcel;
import android.os.Parcelable;

import com.fusi24.entryPermitScanner.data.entity.DataProblems;

import java.util.ArrayList;
import java.util.List;

public class DataResultPermit implements Parcelable {

    private Boolean passed;
    private String alertType;
    private String message;
    private DataWorkingType workingType;
    private List<DataProblems> problems;

    public Boolean getPassed() {
        return passed;
    }

    public void setPassed(Boolean passed) {
        this.passed = passed;
    }

    public String getAlertType() {
        return alertType;
    }

    public void setAlertType(String alertType) {
        this.alertType = alertType;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public DataWorkingType getWorkingType() {
        return workingType;
    }

    public void setWorkingType(DataWorkingType workingType) {
        this.workingType = workingType;
    }

    public List<DataProblems> getProblems() {
        return problems;
    }

    public void setProblems(List<DataProblems> problems) {
        this.problems = problems;
    }

    public DataResultPermit() {
    }


    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeValue(this.passed);
        dest.writeString(this.alertType);
        dest.writeString(this.message);
        dest.writeParcelable(this.workingType, flags);
        dest.writeList(this.problems);
    }

    protected DataResultPermit(Parcel in) {
        this.passed = (Boolean) in.readValue(Boolean.class.getClassLoader());
        this.alertType = in.readString();
        this.message = in.readString();
        this.workingType = in.readParcelable(DataWorkingType.class.getClassLoader());
        this.problems = new ArrayList<DataProblems>();
        in.readList(this.problems, DataProblems.class.getClassLoader());
    }

    public static final Creator<DataResultPermit> CREATOR = new Creator<DataResultPermit>() {
        @Override
        public DataResultPermit createFromParcel(Parcel source) {
            return new DataResultPermit(source);
        }

        @Override
        public DataResultPermit[] newArray(int size) {
            return new DataResultPermit[size];
        }
    };
}
